Skip to main content
`Ctrl`+`K`

# MatDiagonalRestoreInverseDiagonal

Restore the inverse diagonal of a `MATDIAGONAL`

## Synopsis

    #include "petscmat.h"
    #include "petscvec.h"
    PetscErrorCode MatDiagonalRestoreInverseDiagonal(Mat A, Vec *inv_diag)

## Input Parameters

- A - the `MATDIAGONAL`

- inv_diag - the `Vec` obtained from `MatDiagonalGetInverseDiagonal()`

## See Also

Matrices, `MATDIAGONAL`, `MatCreateDiagonal()`, `MatDiagonalGetInverseDiagonal()`

## Level

developer

## Location

src/mat/impls/diagonal/diagonal.c

## Implementations

MatDiagonalRestoreInverseDiagonal_Diagonal() in src/mat/impls/diagonal/diagonal.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages